Backup Agent
All operations require authentication.
Retrieves the backup tenants you manageBeta
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time the backup tenant is created
Current operational state of the backup tenant
List of tasks that are currently running for the backup tenant
IAM resource metadata
Unique identifier of the backup tenant
Readiness status of the backup tenant
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target state of the backup tenant
Date and time the backup tenant is last updated
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Retrieves the details of your backup tenantBeta
Path parameters
Backup services ID
Response
Date and time the backup tenant is created
Current operational state of the backup tenant
List of tasks that are currently running for the backup tenant
IAM resource metadata
Unique identifier of the backup tenant
Readiness status of the backup tenant
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target state of the backup tenant
Date and time the backup tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Lists vaults for your tenantBeta
Path parameters
Backup services ID
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time when you created the vault
Current state of your vault
List of tasks currently running on your vault
IAM resource metadata
Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.
Indicates the readiness of your vault
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of your vault target
Date and time when you last updated the vault
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Retrieves specific vault detailsBeta
Path parameters
Backup services ID
Vault ID
Response
Date and time when you created the vault
Current state of your vault
List of tasks currently running on your vault
IAM resource metadata
Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.
Indicates the readiness of your vault
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of your vault target
Date and time when you last updated the vault
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Updates vault display name and cloud repositoryBeta
Path parameters
Backup services ID
Vault ID
Request body (required)
Display name of your vault
Response
Date and time when you created the vault
Current state of your vault
List of tasks currently running on your vault
Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.
Indicates the readiness of your vault
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of your vault target
Date and time when you last updated the vault
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Lists buckets of the vaultBeta
Path parameters
Backup services ID
Vault ID
Headers
Pagination cursor
Pagination size
Response
Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.
Specifies the unique identifier of the bucket
Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.
Specifies the name of the bucket
Specifies the performance tier of the bucket
HIGH_PERFSTANDARDSpecifies the geographic region where the bucket is located
af-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-seaSpecifies the role assigned to the bucket
PRIMARYREPLICASpecifies the current status of the bucket
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId}/ bucket \
-H "authorization: Bearer $OVH_TOKEN"[ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" }]
Gets specific vault bucket detailsBeta
Path parameters
Backup services ID
Bucket ID
Vault ID
Response
Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.
Specifies the unique identifier of the bucket
Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.
Specifies the name of the bucket
Specifies the performance tier of the bucket
HIGH_PERFSTANDARDSpecifies the geographic region where the bucket is located
af-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-seaSpecifies the role assigned to the bucket
PRIMARYREPLICASpecifies the current status of the bucket
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId}/ bucket/ {bucketId} \
-H "authorization: Bearer $OVH_TOKEN"{ "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING"}
Retrieves S3™*-compatible credentials and connection endpoint for a vault bucketBeta
* S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.
Path parameters
Backup services ID
Bucket ID
Vault ID
Response
S3 access key
Name of the bucket these credentials belong to
S3 endpoint URL to configure in your environment
Short region code of the bucket
ap-south-mumap-southeast-sydbhsca-east-tordeeu-south-mileu-west-pargrarbxsbgsgpukwawS3 secret key, sensitive value
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId}/ bucket/ {bucketId}/ credentials \
-H "authorization: Bearer $OVH_TOKEN"{ "accessKey": "string", "bucketName": "string", "endpoint": "string", "regionCode": "ap-south-mum", "secretKey": "string"}
Retrieves list of VSPC tenantsBeta
Path parameters
Backup services ID
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time when the tenant is created
Current state of the tenant
List of tasks currently running for the tenant
IAM resource metadata
Unique identifier of the tenant
Indicates whether the vault is ready
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target for the tenant
Date and time when the tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Retrieves details of a specific VSPC tenantBeta
Path parameters
Backup services ID
Vspc tenant ID
Response
Date and time when the tenant is created
Current state of the tenant
List of tasks currently running for the tenant
IAM resource metadata
Unique identifier of the tenant
Indicates whether the vault is ready
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target for the tenant
Date and time when the tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Updates the display name of a VSPC tenantBeta
Path parameters
Backup services ID
Vspc tenant ID
Request body (required)
Display name of the tenant
Response
Date and time when the tenant is created
Current state of the tenant
List of tasks currently running for the tenant
Unique identifier of the tenant
Indicates whether the vault is ready
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target for the tenant
Date and time when the tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Lists backup agentsBeta
Path parameters
Backup services ID
Vspc tenant ID
Headers
Pagination cursor
Pagination size
Response
Date and time when you create the backup agent
Current state of the backup agent
Current tasks that the backup agent performs
Unique identifier of the backup agent
Shows whether the backup agent is ready
CREATINGDISABLEDENABLEDNOT_CONFIGUREDNOT_INSTALLEDUPDATINGTarget specification for the backup agent
Date and time when you update the backup agent
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ backupAgent \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "targetSpec": { "displayName": "string", "ips": [ "192.0.2.0/24" ], "policy": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Creates backup agentBeta
Path parameters
Backup services ID
Vspc tenant ID
Request body (required)
Specifies the name of the backup agent
Specifies the IP addresses assigned to the backup agent
Specifies the product resource name that the agent backs up
Specifies the geographic region where the backup agent operates
af-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-seaResponse
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ backupAgent \
-H "authorization: Bearer $OVH_TOKEN"Gets specific backup agent detailsBeta
Path parameters
Backup agent ID
Backup services ID
Vspc tenant ID
Response
Date and time when you create the backup agent
Current state of the backup agent
Current tasks that the backup agent performs
Unique identifier of the backup agent
Shows whether the backup agent is ready
CREATINGDISABLEDENABLEDNOT_CONFIGUREDNOT_INSTALLEDUPDATINGTarget specification for the backup agent
Date and time when you update the backup agent
Example uses backupAgentId = 00000000-0000-0000-0000-000000000000, backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ backupAgent/ {backupAgentId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "targetSpec": { "displayName": "string", "ips": [ "192.0.2.0/24" ], "policy": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Updates backup agentBeta
Path parameters
Backup agent ID
Backup services ID
Vspc tenant ID
Request body (required)
Human readable name of the backup agent
IP addresses assigned to the backup agent
Name of the backup policy applied to the agent
Response
Example uses backupAgentId = 00000000-0000-0000-0000-000000000000, backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ backupAgent/ {backupAgentId} \
-H "authorization: Bearer $OVH_TOKEN"Deletes backup agentBeta
Path parameters
Backup agent ID
Backup services ID
Vspc tenant ID
Response
Example uses backupAgentId = 00000000-0000-0000-0000-000000000000, backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ backupAgent/ {backupAgentId} \
-H "authorization: Bearer $OVH_TOKEN"Retrieves the list of backup policies available in your VSPCBeta
Path parameters
Backup services ID
Vspc tenant ID
Headers
Pagination cursor
Pagination size
Response
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ backupPolicies \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]